For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
        • GETList Policies
        • POSTCreate Policy
        • GETGet Policy
        • DELDelete Policy
        • PATCHUpdate Policy
Logo
Log inBook a demo
API ReferencePermissionsPolicies

Update Policy

PATCH
https://app.polytomic.com/api/permissions/policies/:id
PATCH
/api/permissions/policies/:id
$curl -X PATCH https://app.polytomic.com/api/permissions/policies/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "name": "Custom",
> "policy_actions": [
> {
> "action": "read",
> "role_ids": [
> "248df4b7-aa70-47b8-a036-33ac447e668d"
> ]
> }
> ]
>}'
1{
2 "data": {
3 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
4 "name": "Policy",
5 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
6 "policy_actions": [
7 {
8 "action": "read",
9 "role_ids": [
10 "248df4b7-aa70-47b8-a036-33ac447e668d"
11 ]
12 }
13 ],
14 "system": false
15 }
16}
Updates an existing policy.
Was this page helpful?
Previous

List Roles

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
namestringRequired
policy_actionslist of objects or nullRequired
organization_idstring or nullOptionalformat: "uuid"

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error